## automoc 0.0.20110616

=== CMakeLists.txt ===
project(Automoc4)

cmake_minimum_required(VERSION 2.4.5 FATAL_ERROR)

if(WIN32)
    # make cmake 2.6 happy
    if(COMMAND cmake_policy)
        cmake_policy(SET CMP0003 NEW)
    endif(COMMAND cmake_policy)
endif(WIN32)

include(CTest)

find_package(Qt4 REQUIRED COMPONENTS QtCore )
include(${QT_USE_FILE})

if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc")
   set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-check-new -fno-common")
endif (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc")

# set the current version number
include(Automoc4Version.cmake)

# set up packaging
include(Automoc4CPack.cmake)

configure_file(automoc4_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/automoc4_config.h)

if(MSVC AND AUTOMOC_STATIC)
    IF(EXISTS "${QT_MKSPECS_DIR}/default/qmake.conf")
        FILE(READ "${QT_MKSPECS_DIR}/default/qmake.conf" _qmake_FILE_contents)
        STRING(REGEX MATCH "QMAKE_CFLAGS_RELEASE[^\n]+" QMAKE_CFLAGS_RELEASE "${_qmake_FILE_contents}")
    ENDIF(EXISTS "${QT_MKSPECS_DIR}/default/qmake.conf")

    if (QMAKE_CFLAGS_RELEASE MATCHES ".*-MT.*")
        MESSAGE(STATUS "Qt is build in static mode with static runtime - use static build mode with static runtime too")
        set (MSVCRT_COMPILE_FLAGS "-MT /Os /Oy /GL")
        set (MSVCRT_LINK_FLAGS "/NODEFAULTLIB:msvcrt")
    else (QMAKE_CFLAGS_RELEASE MATCHES ".*-MT.*")
        set (MSVCRT_COMPILE_FLAGS "-MD")
        set (MSVCRT_LINK_FLAGS "")
        MESSAGE(STATUS "Qt is build in static mode using shared runtime - use static build mode too")
    endif (QMAKE_CFLAGS_RELEASE MATCHES ".*-MT.*")

    set (CMAKE_C_FLAGS_RELEASE "${MSVCRT_COMPILE_FLAGS} /O2 /Ob2 /D NDEBUG")
    set (CMAKE_CXX_FLAGS_RELEASE "${MSVCRT_COMPILE_FLAGS} /O2 /Ob2 /D NDEBUG")
    set (CMAKE_EXE_LINKER_FLAGS_RELEASE "/INCREMENTAL:NO ${MSVCRT_LINK_FLAGS}")
endif(MSVC AND AUTOMOC_STATIC)

# Always include srcdir and builddir in include path
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(${QT_INCLUDE_DIR})
add_executable(automoc4 kde4automoc.cpp)

set_target_properties(automoc4  PROPERTIES  SKIP_BUILD_RPATH            FALSE
                                            INSTALL_RPATH_USE_LINK_PATH TRUE )

target_link_libraries(automoc4 ${QT_LIBRARIES})

install(TARGETS automoc4 DESTINATION bin)
install(FILES Automoc4Config.cmake Automoc4Version.cmake automoc4.files.in  DESTINATION  lib${LIB_SUFFIX}/automoc4)

=== debian/changelog ===
automoc (0.0.20110616-0~rzr20140503) saucy; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#automoc

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:15:24 +0200

automoc (0.0.20140503-0~rzr) saucy; urgency=medium

  * WIP: http://rzr.online.fr/q/snapshot#automoc

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:15:24 +0200

automoc (0.0.0-0) UNRELEASED; urgency=medium

  * TODO: remove on release

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:15:23 +0200

automoc (1.0~version-0.9.88-5) unstable; urgency=low

  * Add Vcs fields to debian/control.
  * Replace (C) with © in debian/copyright.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Thu, 23 Jun 2011 11:51:41 +0300

automoc (1.0~version-0.9.88-4) unstable; urgency=low

  * Drop 01_patch_out_qprocess_bug561203.diff patch. It was buggy and didn't
    serve its purpose well since kde4libs kept FTBFSing anyway, just at
    qdbuscpp2xml call now (Closes: #563298).

 -- Modestas Vainius <modax@debian.org>  Sat, 02 Jan 2010 01:51:31 +0200

automoc (1.0~version-0.9.88-3) unstable; urgency=high

  [ Karl Ferdinand Ebert ]
  * Bumped standard version to 3.8.3:
    - Fixed lintian warnings (homepage-field and dh_prep).

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Uploaders.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Use dh v7 and minimal rules file:
    - build depend on debhelper 7.3 for cmake support;
  * Switch package to dpkg-source format 3.0 (quilt).
  * Replace QProcess with standard POSIX calls. This should work around
    toolchain problems on hppa and allow kde4libs and other KDE packages to
    build (patch 01_patch_out_qprocess_bug561203.diff). See bug#561203.
  * Urgency=high because it should fix kde4libs FTBFS on hppa.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 29 Dec 2009 21:17:54 +0200

automoc (1.0~version-0.9.88-2) unstable; urgency=low

  * Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Feb 2009 16:52:08 +0100

automoc (1.0~version-0.9.88-1) experimental; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 25 Jan 2009 19:17:48 +0100

automoc (1.0~svn850570-1) unstable; urgency=low

  * New upstream snapshot.
    - Required to build newer parts of KDE. Only minor changes.

 -- Sune Vuorela <debian@pusling.com>  Thu, 21 Aug 2008 21:19:24 +0200

automoc (1.0~svn834416-1) unstable; urgency=low

  * New upstream snapshot.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 23 Jul 2008 17:39:15 +0300

automoc (1.0~svn823714-1) unstable; urgency=low

  * New upstream snapshot. Fixes segfaults and other stuff.

 -- Sune Vuorela <debian@pusling.com>  Mon, 23 Jun 2008 23:57:31 +0200

automoc (1.0~svn813484-1) unstable; urgency=low

  * New upstream snapshot
  * Update copyright. Is now BSD-licensed.

 -- Sune Vuorela <debian@pusling.com>  Tue, 27 May 2008 22:51:56 +0200

automoc (1.0~svn805317-1) unstable; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r805317 by mkretz
    - Date: Sun, 11 May 2008 10:15:25 -0000

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 11 May 2008 13:15:25 +0300

automoc (0.0.svn801285-1) unstable; urgency=low

  * Automoc split from kdelibs to be used in kdesupport.
    Based on r801285

 -- Sune Vuorela <debian@pusling.com>  Sat, 26 Apr 2008 23:21:42 +0200

=== debian/control ===
Source: automoc
Section: devel
Priority: extra
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.3), libqt4-dev, cmake
Standards-Version: 3.9.2
Homepage: http://cia.vc/stats/project/kde/automoc
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/automoc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/automoc.git

Package: automoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev
Description: automatic moc for Qt 4 packages
 This package contains the automoc4 binary which is used to run moc on the right
 binaries in a Qt 4 or KDE 4 application.
 .
 Moc is the meta object compiler which is a much used tool when using the Qt
 toolkit.

Package: automoc-snapshot
Architecture: all
Section: sound
Depends: automoc (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade automoc
 http://rzr.online.fr/q/snapshot#automoc Feedback welcome

## automoc 1.0~version-0.9.88

=== debian/changelog ===
automoc (1.0~version-0.9.88-5build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:13:43 +0000

automoc (1.0~version-0.9.88-5build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 16:44:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: automoc
 Section: devel
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.3), libqt4-dev, cmake
 Standards-Version: 3.9.2
@@ -18,14 +19,3 @@
  .
  Moc is the meta object compiler which is a much used tool when using the Qt
  toolkit.
-
-Package: automoc-snapshot
-Architecture: all
-Section: sound
-Depends: automoc (= ${source:Version}), ${misc:Depends}
-Suggests: rzr
-Priority: extra
-Description: unreleased snapshot version
- TODO: Remove on issue and upgrade automoc
- http://rzr.online.fr/q/snapshot#automoc Feedback welcome
-

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				         -DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
	                     -DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

%:
	dh --buildsystem=cmake --builddirectory=builddir $@

## automoc 1.0~version-0.9.88-2

=== debian/control ===
Source: automoc
Section: devel
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Uploaders: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: debhelper (>= 5), libqt4-dev, cmake
Standards-Version: 3.7.3

Package: automoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev
Description: automatic moc for Qt 4 packages
 This package contains the automoc4 binary which is used to run moc on the right
 binaries in a Qt 4 or KDE 4 application.
 .
 Moc is the meta object compiler which is a much used tool when using the Qt
 toolkit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

builddir/CMakeCache.txt:
	dh_testdir
	mkdir -p builddir
	cd builddir && cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)" \
				-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

build: build-stamp

build-stamp: builddir/CMakeCache.txt
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/automoc.sgml > automoc.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/automoc.
	cd builddir && $(MAKE) DESTDIR=$(CURDIR)/debian/automoc install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## automoc 1.0~version-0.9.88-3

=== debian/changelog ===
automoc (1.0~version-0.9.88-3) unstable; urgency=low

  * Re-release of automoc

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 18 Feb 2009 16:52:08 +0100

=== debian/control ===
Source: automoc
Section: devel
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.2), cmake
Standards-Version: 3.7.3

Package: automoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev (>= 4.5.2)
Description: automatic moc for Qt 4 packages
 This package contains the automoc4 binary which is used to run moc on the right
 binaries in a Qt 4 or KDE 4 application.
 .
 Moc is the meta object compiler which is a much used tool when using the Qt
 toolkit.

## automoc 1.0~version-0.9.88-4

=== debian/control ===
Source: automoc
Section: devel
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: debhelper (>= 5), libqt4-dev, cmake
Standards-Version: 3.7.3

Package: automoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev
Description: automatic moc for Qt 4 packages
 This package contains the automoc4 binary which is used to run moc on the right
 binaries in a Qt 4 or KDE 4 application.
 .
 Moc is the meta object compiler which is a much used tool when using the Qt
 toolkit.
